MimeTypesFactoryBean (Grails 4.0.0)
Date: 2019-07-11

Package: org.grails.plugins.web.mime

## [Groovy] Class MimeTypesFactoryBean

- org.grails.plugins.web.mime.MimeTypesFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      @java.lang.Deprecated
      class MimeTypesFactoryBean
      extends java.lang.Object

  Creates the MimeType[] object that defines the configured mime types.

  deprecated:
    Use MimeTypesConfiguration instead
  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`
    `GrailsApplication` | `grailsApplication`
    `java.util.Collection<MimeTypeProvider>` | `mimeTypeProviders`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Map<java.lang.CharSequence, java.lang.CharSequence>` | `getMimeConfig(Config config)`
    `` | `MimeType[]` | `getObject()`
    `` | `java.lang.Class<?>` | `getObjectType()`
    `` | `boolean` | `isSingleton()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

    - #### GrailsApplication grailsApplication

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) java.util.Collection<MimeTypeProvider> mimeTypeProviders

  - ### Method Detail

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.util.Map<java.lang.CharSequence, java.lang.CharSequence> getMimeConfig(Config config)

    - #### MimeType[] getObject()

    - #### java.lang.Class<?> getObjectType()

    - #### boolean isSingleton()